Skip to main content
GET
/
v1
/
tx
/
detail
Get transaction
curl --request GET \
  --url https://api.chainbase.online/v1/tx/detail \
  --header 'x-api-key: <x-api-key>'
import requests

url = "https://api.chainbase.online/v1/tx/detail"

headers = {"x-api-key": "<x-api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};

fetch('https://api.chainbase.online/v1/tx/detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "type": 123,
    "status": 123,
    "block_number": 123,
    "block_timestamp": "2023-11-07T05:31:56Z",
    "transaction_hash": "<string>",
    "transaction_index": 123,
    "from_address": "<string>",
    "to_address": "<string>",
    "value": "<string>",
    "input": "<string>",
    "nonce": 123,
    "contract_address": "<string>",
    "gas": 123,
    "gas_price": 123,
    "gas_used": 123,
    "effective_gas_price": 123,
    "cumulative_gas_used": 123,
    "max_fee_per_gas": 123,
    "max_priority_fee_per_gas": 123,
    "tx_fee": 123,
    "saving_fee": 123,
    "burnt_fee": 123
  },
  "code": 0,
  "message": "ok"
}
{
"code": 123,
"message": "<string>"
}
{
"code": 123,
"message": "<string>"
}
{
"code": 123,
"message": "<string>"
}
{
"code": 123,
"message": "<string>"
}
{
"code": 123,
"message": "<string>"
}
{
"code": 123,
"message": "<string>"
}

Headers

x-api-key
string
required
Example:

"demo"

Query Parameters

chain_id
integer
required

chain network id, see list of details

hash
string

The transaction hash

block_number
integer

Block number of the transaction

tx_index
integer

Index of the transaction

Response

Successful Response

data
TxDetail · object
required
code
integer
default:0
message
string
default:ok